## wavescope wavescope |

## Properties

GstWaveScopeStyle | style | Read / Write / Construct

## Types and Values

struct | GstWaveScope

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioVisualizer
                        ╰── GstWaveScope

## Description

Wavescope is a simple audio visualisation element. It renders the waveforms like on an oscilloscope.

#### Example launch line

    1
    gst-launch-1.0 audiotestsrc ! audioconvert ! wavescope ! ximagesink

## Synopsis

### Element Information

plugin | audiovisualizers
author | Stefan Kost <ensonic@users.sf.net>
class | Visualization

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 8000, 96000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003

name | src
direction | source
presence | always
details | video/x-raw, format=(string)BGRx, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Functions

## Types and Values

### struct GstWaveScope

    struct GstWaveScope;

## Property Details

### The `“style”` property

      “style”                    GstWaveScopeStyle

Drawing styles for the wave form display.

Flags: Read / Write / Construct

Default value: draw dots (default)

## See Also

goom